module.exports = [
  { name: 'help', type: Boolean, alias: 'h', group: 'general' },
  { name: 'version', type: Boolean, group: 'general' },
  { name: 'verbose', type: Boolean, alias: 'v', group: 'general' },
  { name: 'preset', type: String, alias: 'Z', group: 'general' },
  { name: 'preset-list', type: Boolean, alias: 'z', group: 'general' },
  { name: 'preset-import-file', type: String, group: 'general' },
  { name: 'no-dvdnav', type: Boolean, group: 'general' },
  { name: 'no-opencl', type: Boolean, group: 'general' },

  { name: 'input', type: String, alias: 'i', group: 'source' },
  { name: 'title', type: Number, alias: 't', group: 'source' },
  { name: 'min-duration', type: Number, group: 'source' },
  { name: 'scan', type: Boolean, group: 'source' },
  { name: 'main-feature', type: Boolean, group: 'source' },
  { name: 'chapters', type: String, alias: 'c', group: 'source' },
  { name: 'angle', type: Number, group: 'source' },
  { name: 'previews', type: String, group: 'source' },
  { name: 'start-at-preview', type: String, group: 'source' },
  { name: 'start-at', type: String, group: 'source' },
  { name: 'stop-at', type: String, group: 'source' },

  { name: 'output', type: String, alias: 'o', group: 'destination' },
  { name: 'format', type: String, alias: 'f', group: 'destination' },
  { name: 'markers', type: Boolean, alias: 'm', group: 'destination' },
  { name: 'no-markers', type: Boolean, group: 'destination' },
  { name: 'optimize', type: Boolean, alias: 'O', group: 'destination' },
  { name: 'ipod-atom', type: Boolean, alias: 'I', group: 'destination' },
  { name: 'no-ipod-atom', type: Boolean, group: 'destination' },
  { name: 'use-opencl', type: Boolean, alias: 'P', group: 'destination' },

  { name: 'encoder', type: String, alias: 'e', group: 'video' },
  { name: 'encoder-preset', type: String, group: 'video' },
  { name: 'encoder-preset-list', type: String, group: 'video' },
  { name: 'encoder-tune', type: String, group: 'video' },
  { name: 'encoder-tune-list', type: String, group: 'video' },
  { name: 'encopts', type: String, alias: 'x', group: 'video' },
  { name: 'encoder-profile', type: String, group: 'video' },
  { name: 'encoder-profile-list', type: String, group: 'video' },
  { name: 'encoder-level', type: String, group: 'video' },
  { name: 'encoder-level-list', type: String, group: 'video' },
  { name: 'quality', type: Number, alias: 'q', group: 'video' },
  { name: 'vb', type: Number, alias: 'b', group: 'video' },
  { name: 'two-pass', type: Boolean, group: 'video' },
  { name: 'no-two-pass', type: Boolean, group: 'video' },
  { name: 'turbo', type: Boolean, alias: 'T', group: 'video' },
  { name: 'no-turbo', type: Boolean, group: 'video' },
  { name: 'rate', type: Number, alias: 'r', group: 'video' },
  { name: 'vfr', type: Boolean, group: 'video' },
  { name: 'cfr', type: Boolean, group: 'video' },
  { name: 'pfr', type: Boolean, group: 'video' },

  { name: 'audio-lang-list', type: String, group: 'audio' },
  { name: 'all-audio', type: Boolean, group: 'audio' },
  { name: 'first-audio', type: Boolean, group: 'audio' },
  { name: 'audio', type: String, alias: 'a', group: 'audio' },
  { name: 'aencoder', type: String, alias: 'E', group: 'audio' },
  { name: 'audio-copy-mask', type: String, group: 'audio' },
  { name: 'audio-fallback', type: String, group: 'audio' },
  { name: 'ab', type: String, alias: 'B', group: 'audio' },
  { name: 'aq', type: String, alias: 'Q', group: 'audio' },
  { name: 'ac', type: String, alias: 'C', group: 'audio' },
  { name: 'mixdown', type: String, group: 'audio' },
  { name: 'normalize-mix', type: String, group: 'audio' },
  { name: 'arate', type: String, alias: 'R', group: 'audio' },
  { name: 'drc', type: Number, alias: 'D', group: 'audio' },
  { name: 'gain', type: Number, group: 'audio' },
  { name: 'adither', type: String, group: 'audio' },
  { name: 'aname', type: String, alias: 'A', group: 'audio' },

  { name: 'width', type: Number, alias: 'w', group: 'picture' },
  { name: 'height', type: Number, alias: 'l', group: 'picture' },
  { name: 'crop', type: String, group: 'picture' },
  { name: 'loose-crop', type: Boolean, group: 'picture' },
  { name: 'no-loose-crop', type: Boolean, group: 'picture' },
  { name: 'maxHeight', type: Number, alias: 'Y', group: 'picture' },
  { name: 'maxWidth', type: Number, alias: 'X', group: 'picture' },
  { name: 'non-anamorphic', type: Boolean, group: 'picture' },
  { name: 'auto-anamorphic', type: Boolean, group: 'picture' },
  { name: 'loose-anamorphic', type: Boolean, group: 'picture' },
  { name: 'custom-anamorphic', type: Boolean, group: 'picture' },
  { name: 'display-width', type: Number, group: 'picture' },
  { name: 'keep-display-aspect', type: Boolean, group: 'picture' },
  { name: 'pixel-aspect', type: String, group: 'picture' },
  { name: 'itu-par', type: Boolean, group: 'picture' },
  { name: 'modulus', type: Number, group: 'picture' },
  { name: 'color-matrix', type: String, alias: 'M', group: 'picture' },

  { name: 'comb-detect', type: String, group: 'filters' },
  { name: 'no-comb-detect', type: Boolean, group: 'filters' },
  { name: 'deinterlace', type: String, alias: 'd', group: 'filters' },
  { name: 'no-deinterlace', type: Boolean, group: 'filters' },
  { name: 'decomb', type: String, group: 'filters' },
  { name: 'no-decomb', type: Boolean, group: 'filters' },
  { name: 'detelecine', type: String, group: 'filters' },
  { name: 'no-detelecine', type: Boolean, group: 'filters' },
  { name: 'hqdn3d', type: String, group: 'filters' },
  { name: 'no-hqdn3d', type: Boolean, group: 'filters' },
  { name: 'denoise', type: String, group: 'filters' },
  { name: 'nlmeans', type: String, group: 'filters' },
  { name: 'no-nlmeans', type: Boolean, group: 'filters' },
  { name: 'nlmeans-tune', type: String, group: 'filters' },
  { name: 'deblock', type: String, group: 'filters' },
  { name: 'no-deblock', type: Boolean, group: 'filters' },
  { name: 'rotate', type: String, group: 'filters' },
  { name: 'pad', type: String, group: 'filters' },
  { name: 'grayscale', type: Boolean, alias: 'g', group: 'filters' },
  { name: 'no-grayscale', type: Boolean, group: 'filters' },

  { name: 'subtitle-lang-list', type: String, group: 'subtitle' },
  { name: 'all-subtitles', type: Boolean, group: 'subtitle' },
  { name: 'first-subtitles', type: Boolean, group: 'subtitle' },
  { name: 'subtitle', type: String, alias: 's', group: 'subtitle' },
  { name: 'subtitle-forced', type: Number, alias: 'F', group: 'subtitle' },
  { name: 'subtitle-burned', type: Number, group: 'subtitle' },
  { name: 'subtitle-default', type: Number, group: 'subtitle' },
  { name: 'native-language', type: String, alias: 'N', group: 'subtitle' },
  { name: 'native-dub', type: Boolean, group: 'subtitle' },
  { name: 'srt-file', type: String, group: 'subtitle' },
  { name: 'srt-codeset', type: String, group: 'subtitle' },
  { name: 'srt-offset', type: String, group: 'subtitle' },
  { name: 'srt-lang', type: String, group: 'subtitle' },
  { name: 'srt-default', type: Number, group: 'subtitle' },
  { name: 'srt-burn', type: Number, group: 'subtitle' }
]
